Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels
Class CChannelManager.ChannelDefinition

    java.lang.Object
      org.jasig.portal.channels.CChannelManager.ChannelDefinition

Enclosing class:
  CChannelManager

    protected class CChannelManager.ChannelDefinition

extends java.lang.Object

Nested Class Summary
`protected class` | `CChannelManager.ChannelDefinition.Parameter`

Field Summary
`private static java.lang.String` | `DEFAULT_TIMEOUT`
`protected java.lang.String` | `description`
`protected java.lang.String` | `editable`
`protected java.lang.String` | `fname`
`protected java.lang.String` | `hasAbout`
`protected java.lang.String` | `hasHelp`
`protected java.lang.String` | `ID`
`protected java.lang.String` | `javaClass`
`protected java.lang.String` | `name`
`protected java.util.Map` | `parameters`
`protected java.lang.String` | `secure`
`protected java.lang.String` | `timeout`
`protected java.lang.String` | `title`
`protected java.lang.String` | `typeID`

Constructor Summary
`protected` | `CChannelManager.ChannelDefinition()`

Method Summary
`protected void` | `addParameter(java.lang.String name, java.lang.String value, java.lang.String modType)`
`protected java.lang.String` | `getEditable()`
`protected java.lang.String` | `getHasAbout()`
`protected java.lang.String` | `getHasHelp()`
`protected java.lang.String` | `getTypeID()`
`protected java.lang.String` | `isSecure()`
`protected void` | `removeParameter(java.lang.String name)`
`protected void` | `removeParameters()`
`protected void` | `resetChannelControls()`
`private void` | `setAttribute(org.w3c.dom.Element e, java.lang.String attName, java.lang.String attVal)`
`protected void` | `setChannelDefinition(org.w3c.dom.Element channelE)`
`protected void` | `setDescription(java.lang.String description)`
`protected void` | `setEditable(java.lang.String editable)`
`protected void` | `setFunctionalName(java.lang.String fname)`
`protected void` | `setHasAbout(java.lang.String hasAbout)`
`protected void` | `setHasHelp(java.lang.String hasHelp)`
`protected void` | `setIsSecure(java.lang.String secure)` Sets channel secure setting.
`protected void` | `setJavaClass(java.lang.String javaClass)`
`protected void` | `setName(java.lang.String name)`
`protected void` | `setTimeout(java.lang.String timeout)` Set the channel timeout, which is a String representation of a number of milliseconds the channel should be allowed to try to render before being replaced with the Error channel.
`protected void` | `setTitle(java.lang.String title)`
`protected void` | `setTypeID(java.lang.String typeID)`
`protected org.w3c.dom.Element` | `toXML()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_TIMEOUT

    private static final java.lang.String DEFAULT_TIMEOUT

See Also:
  Constant Field Values

### ID

    protected java.lang.String ID

### typeID

    protected java.lang.String typeID

### name

    protected java.lang.String name

### description

    protected java.lang.String description

### title

    protected java.lang.String title

### timeout

    protected java.lang.String timeout

### fname

    protected java.lang.String fname

### javaClass

    protected java.lang.String javaClass

### editable

    protected java.lang.String editable

### hasHelp

    protected java.lang.String hasHelp

### hasAbout

    protected java.lang.String hasAbout

### secure

    protected java.lang.String secure

### parameters

    protected java.util.Map parameters

Constructor Detail

### CChannelManager.ChannelDefinition

    protected CChannelManager.ChannelDefinition()

Method Detail

### getTypeID

    protected java.lang.String getTypeID()

### getEditable

    protected java.lang.String getEditable()

### getHasHelp

    protected java.lang.String getHasHelp()

### getHasAbout

    protected java.lang.String getHasAbout()

### isSecure

    protected java.lang.String isSecure()

### setTypeID

    protected void setTypeID(java.lang.String typeID)

### setName

    protected void setName(java.lang.String name)

### setFunctionalName

    protected void setFunctionalName(java.lang.String fname)

### setDescription

    protected void setDescription(java.lang.String description)

### setTitle

    protected void setTitle(java.lang.String title)

### setTimeout

    protected void setTimeout(java.lang.String timeout)

  Set the channel timeout, which is a String representation of a number of milliseconds the channel should be allowed to try to render before being replaced with the Error channel. This setter checks its argument and does nothing but log the irregularity in the case where the argument does not represent a positive number of milliseconds.

  Parameters:
    `timeout` - a String representing a positive number of milliseconds

### setJavaClass

    protected void setJavaClass(java.lang.String javaClass)

### setEditable

    protected void setEditable(java.lang.String editable)

### setHasHelp

    protected void setHasHelp(java.lang.String hasHelp)

### setHasAbout

    protected void setHasAbout(java.lang.String hasAbout)

### setIsSecure

    protected void setIsSecure(java.lang.String secure)

  Sets channel secure setting.

  Parameters:
    `secure` - 'true' or 'false'

### setAttribute

    private void setAttribute(org.w3c.dom.Element e,
                              java.lang.String attName,
                              java.lang.String attVal)

### addParameter

    protected void addParameter(java.lang.String name,
                                java.lang.String value,
                                java.lang.String modType)

### removeParameter

    protected void removeParameter(java.lang.String name)

### removeParameters

    protected void removeParameters()

### resetChannelControls

    protected void resetChannelControls()

### setChannelDefinition

    protected void setChannelDefinition(org.w3c.dom.Element channelE)
                                 throws PortalException

  Throws:
    `PortalException`

### toXML

    protected org.w3c.dom.Element toXML()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD